org.apache.lucene.search.similarity

## Class LegacyBM25Similarity

- java.lang.Object
- - org.apache.lucene.search.similarities.Similarity
  - - org.apache.lucene.search.similarity.LegacyBM25Similarity

- Deprecated.
  `BM25Similarity` should be used instead

      @Deprecated
      public final class LegacyBM25Similarity
      extends Similarity

  Similarity that behaves like `BM25Similarity` while also applying the k1+1 factor to the numerator of the scoring formula
  See Also:
    `BM25Similarity`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Similarity

      `Similarity.SimScorer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyBM25Similarity()` Deprecated. BM25 with these default values: `k1 = 1.2` `b = 0.75`
    `LegacyBM25Similarity(float k1, float b)` Deprecated. BM25 with the supplied parameter values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `computeNorm(FieldInvertState state)` Deprecated.
    `float` | `getB()` Deprecated. Returns the `b` parameter
    `boolean` | `getDiscountOverlaps()` Deprecated. Returns true if overlap tokens are discounted from the document's length.
    `float` | `getK1()` Deprecated. Returns the `k1` parameter
    `Similarity.SimScorer` | `scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)` Deprecated.
    `void` | `setDiscountOverlaps(boolean v)` Deprecated. Sets whether overlap tokens (Tokens with 0 position increment) are ignored when computing norm.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyBM25Similarity

          public LegacyBM25Similarity()

      Deprecated.
      BM25 with these default values:
      - `k1 = 1.2`
      - `b = 0.75`

    - #### LegacyBM25Similarity

          public LegacyBM25Similarity(float k1,
                                      float b)

      Deprecated.
      BM25 with the supplied parameter values.
      Parameters:
        `k1` - Controls non-linear term frequency normalization (saturation).
        `b` - Controls to what degree document length normalizes tf values.
      Throws:
        `IllegalArgumentException` - if `k1` is infinite or negative, or if `b` is not within the range `[0..1]`

  - ### Method Detail

    - #### computeNorm

          public long computeNorm(FieldInvertState state)

      Deprecated.
      Specified by:
        `computeNorm` in class `Similarity`

    - #### scorer

          public Similarity.SimScorer scorer(float boost,
                                             CollectionStatistics collectionStats,
                                             TermStatistics... termStats)

      Deprecated.
      Specified by:
        `scorer` in class `Similarity`

    - #### getK1

          public final float getK1()

      Deprecated.
      Returns the `k1` parameter
      See Also:
        `LegacyBM25Similarity(float, float)`

    - #### getB

          public final float getB()

      Deprecated.
      Returns the `b` parameter
      See Also:
        `LegacyBM25Similarity(float, float)`

    - #### setDiscountOverlaps

          public void setDiscountOverlaps(boolean v)

      Deprecated.
      Sets whether overlap tokens (Tokens with 0 position increment) are ignored when computing norm. By default this is true, meaning overlap tokens do not count when computing norms.

    - #### getDiscountOverlaps

          public boolean getDiscountOverlaps()

      Deprecated.
      Returns true if overlap tokens are discounted from the document's length.
      See Also:
        `setDiscountOverlaps(boolean)`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.